[med-svn] [Git][med-team/q2templates][master] 10 commits: routine-update: New upstream version
Étienne Mollier
gitlab at salsa.debian.org
Sat Dec 12 18:37:35 GMT 2020
Étienne Mollier pushed to branch master at Debian Med / q2templates
Commits:
16c3bef3 by Étienne Mollier at 2020-12-12T18:41:53+01:00
routine-update: New upstream version
- - - - -
2dff19c8 by Étienne Mollier at 2020-12-12T18:41:54+01:00
New upstream version 2020.11.1+dfsg
- - - - -
c4f3e6c0 by Étienne Mollier at 2020-12-12T18:41:54+01:00
Update upstream source from tag 'upstream/2020.11.1+dfsg'
Update to upstream version '2020.11.1+dfsg'
with Debian dir b1bdfed635c6e1ae65616cd0b88a397a4dfa636c
- - - - -
1ed46f45 by Étienne Mollier at 2020-12-12T18:41:58+01:00
Trim trailing whitespace.
Changes-By: lintian-brush
Fixes: lintian: trailing-whitespace
See-also: https://lintian.debian.org/tags/trailing-whitespace.html
- - - - -
56047dcf by Étienne Mollier at 2020-12-12T18:42:33+01:00
routine-update: Ready to upload to unstable
- - - - -
5eada9a7 by Étienne Mollier at 2020-12-12T19:08:08+01:00
override breakout-link
- - - - -
1ecc3aef by Étienne Mollier at 2020-12-12T19:12:54+01:00
added autopkgtest
- - - - -
7d4ac650 by Étienne Mollier at 2020-12-12T19:13:42+01:00
new upstream version closes 950931
- - - - -
18225183 by Étienne Mollier at 2020-12-12T19:16:36+01:00
add myself to uploaders
- - - - -
ec01ea9a by Étienne Mollier at 2020-12-12T19:29:48+01:00
modify autopkgtest
There was a tiny chance that the copy of the dist-package wouldn't
really test the actual installation, so just copying the test suite
should be more relevant.
- - - - -
7 changed files:
- debian/changelog
- debian/control
- + debian/lintian-overrides
- debian/rules
- + debian/tests/control
- + debian/tests/run-unit-test
- q2templates/_version.py
Changes:
=====================================
debian/changelog
=====================================
@@ -1,3 +1,13 @@
+q2templates (2020.11.1+dfsg-1) unstable; urgency=medium
+
+ * Add myself to Uploaders.
+ * New upstream version (Closes: #950931)
+ * Trim trailing whitespace.
+ * Override breakout-link; affected files are architecture independent.
+ * Added autopkgtest.
+
+ -- Étienne Mollier <etienne.mollier at mailoo.org> Sat, 12 Dec 2020 18:41:58 +0100
+
q2templates (2020.11.0+dfsg-1) unstable; urgency=medium
* Team upload.
=====================================
debian/control
=====================================
@@ -1,6 +1,7 @@
Source: q2templates
Maintainer: Debian Med Packaging Team <debian-med-packaging at lists.alioth.debian.org>
-Uploaders: Liubov Chuprikova <chuprikovalv at gmail.com>
+Uploaders: Liubov Chuprikova <chuprikovalv at gmail.com>,
+ Étienne Mollier <etienne.mollier at mailoo.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
=====================================
debian/lintian-overrides
=====================================
@@ -0,0 +1,5 @@
+# breakout-link are a problem with architecture dependent shared objects, but
+# css and js are to day architecture independent, so should probably be ok:
+q2templates: breakout-link *.css -> *.css
+q2templates: breakout-link *.min.js -> *.min.js
+q2templates: breakout-link */fonts -> */fonts
=====================================
debian/rules
=====================================
@@ -26,4 +26,3 @@ override_dh_auto_clean:
dh_auto_clean
rm -rf .pybuild
rm -f q2templates.egg-info/PKG-INFO q2templates.egg-info/SOURCES.txt q2templates.egg-info/dependency_links.txt q2templates.egg-info/not-zip-safe q2templates.egg-info/top_level.txt
-
=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @, python3-pytest
+Restrictions: allow-stderr
=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,24 @@
+#!/bin/bash
+set -e
+
+pkg="q2templates"
+
+export LC_ALL="C.UTF-8"
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+ AUTOPKGTEST_TMP="$(mktemp -d /tmp/${pkg}-test.XXXXXX)"
+ trap "rm -rf '${AUTOPKGTEST_TMP}'" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a "/usr/lib/python3/dist-packages/${pkg}/tests" "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+
+if ! command -v py.test-3 >/dev/null
+then
+ cat >&2 <<-ERR
+ error: command py.test-3 not found, please install "python3-pytest"
+ ERR
+ exit 1
+fi
+
+py.test-3
=====================================
q2templates/_version.py
=====================================
@@ -23,9 +23,9 @@ def get_keywords():
# setup.py/versioneer.py will grep for the variable names, so they must
# each be defined on a line of their own. _version.py will just call
# get_keywords().
- git_refnames = " (HEAD -> master, tag: 2020.11.0)"
- git_full = "14e0b7fcb48a3350798eeb1aa6606f49e563f115"
- git_date = "2020-11-25 17:13:09 +0000"
+ git_refnames = " (tag: 2020.11.1)"
+ git_full = "8819864cdc9db62d87f60fe9d46c445e5b0646ff"
+ git_date = "2020-12-05 20:44:51 +0000"
keywords = {"refnames": git_refnames, "full": git_full, "date": git_date}
return keywords
View it on GitLab: https://salsa.debian.org/med-team/q2templates/-/compare/4e5f207b07f8ef5b6b8c35b57d992a1651b13702...ec01ea9abaebe168e236d85ef9066f7f66248eea
--
View it on GitLab: https://salsa.debian.org/med-team/q2templates/-/compare/4e5f207b07f8ef5b6b8c35b57d992a1651b13702...ec01ea9abaebe168e236d85ef9066f7f66248eea
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20201212/18ac0e68/attachment-0001.html>
More information about the debian-med-commit
mailing list